<?php
/**
 * --------------------------------------------------------------
 * File: cat_mits_embedded_videos.php
 * Date: 26.11.2020
 * Time: 11:49
 *
 * Author: Hetfield
 * Copyright: (c) 2020 - MerZ IT-SerVice
 * Web: https://www.merz-it-service.de
 * Contact: info@merz-it-service.de
 * --------------------------------------------------------------
 */

class cat_mits_embedded_videos {

  function __construct() {
    $this->code = 'cat_mits_embedded_videos';
    $this->title = 'MITS Embedded Videos <span style="white-space:nowrap;">&copy; by <span style="padding:2px;background:#ffe;color:#6a9;font-weight:bold;">Hetfield (MerZ IT-SerVice)</span></span>';
    $this->description = 'MITS Embedded Videos - Eingebette Videos von YouTube und Vimeo f&uuml;r Produkte und Kategorien';
    $this->name = 'MODULE_CATEGORIES_' . strtoupper($this->code);
    $this->enabled = defined($this->name . '_STATUS') && constant($this->name . '_STATUS') == 'true' ? true : false;
    $this->sort_order = defined($this->name . '_SORT_ORDER') ? constant($this->name . '_SORT_ORDER') : '';

    $this->translate();
  }


  function translate() {
    switch ($_SESSION['language_code']) {
      case 'de':
        $this->description = 'MITS Embedded Videos - Eingebette Videos von YouTube und Vimeo f&uuml;r Produkte und Kategorien';
        break;
      default:
        $this->description = 'MITS Embedded Videos - Embedded videos from YouTube and Vimeo for products and categories';
        break;
    }
  }


  function check() {
    if (!isset($this->_check)) {
      $check_query = xtc_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = '" . $this->name . "_STATUS'");
      $this->_check = xtc_db_num_rows($check_query);
    }
    return $this->_check;
  }


  function keys() {
    define($this->name . '_STATUS_TITLE', TEXT_DEFAULT_STATUS_TITLE);
    define($this->name . '_STATUS_DESC', TEXT_DEFAULT_STATUS_DESC);
    define($this->name . '_SORT_ORDER_TITLE', TEXT_DEFAULT_SORT_ORDER_TITLE);
    define($this->name . '_SORT_ORDER_DESC', TEXT_DEFAULT_SORT_ORDER_DESC);

    return array(
      $this->name . '_STATUS',
      $this->name . '_SORT_ORDER'
    );
  }


  function install() {
    xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value, configuration_group_id, sort_order, set_function, date_added) VALUES ('" . $this->name . "_STATUS', 'true','6', '1','xtc_cfg_select_option(array(\'true\', \'false\'), ', now())");
    xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value, configuration_group_id, sort_order, date_added) VALUES ('" . $this->name . "_SORT_ORDER', '10','6', '2', now())");
  }


  function remove() {
    xtc_db_query("DELETE FROM " . TABLE_CONFIGURATION . " WHERE configuration_key LIKE '" . $this->name . "_%'");
  }

  function insert_category_after($categories_data, $categories_id) {

    defined('MODULE_MITS_EMBEDDED_VIDEOS_COUNT') or define('MODULE_MITS_EMBEDDED_VIDEOS_COUNT', 3);
    $countVideoFields = (int)MODULE_MITS_EMBEDDED_VIDEOS_COUNT + 1;

    for ($i = 1, $n = $countVideoFields; $i < $n; $i++) {

      $sql_video_data_array = array(
        'products_id'      => 0,
        'categories_id'    => $categories_id,
        'video_nr'         => xtc_db_prepare_input($categories_data['video_nr_' . ($i)]),
        'video_source_id'  => xtc_db_prepare_input($categories_data['video_source_id_' . ($i)]),
        'video_source'     => xtc_db_prepare_input($categories_data['video_source_' . ($i)]),
        'video_url'        => xtc_db_prepare_input($categories_data['video_url_' . ($i)]),
        'video_position'   => xtc_db_prepare_input($categories_data['video_position_' . ($i)]),
        'status'           => xtc_db_prepare_input($categories_data['status_' . ($i)]),
        'sorting'          => xtc_db_prepare_input($categories_data['sorting_' . ($i)]),
      );

      if (isset($categories_data['embedded_video_id_' . ($i)]) && !empty($categories_data['embedded_video_id_' . ($i)])) {
        $check_query = xtc_db_query("SELECT * FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE categories_id = '" . $categories_id . "' AND embedded_video_id = " . $categories_data['embedded_video_id_' . ($i)] . " AND video_nr = " . $i);
      } else {
        $check_query = xtc_db_query("SELECT * FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE categories_id = '" . $categories_id . "' AND video_nr = " . $categories_data['video_nr_' . ($i)]);
      }

      if (xtc_db_num_rows($check_query) > 0) {
        if (empty($categories_data['video_url_' . ($i)]) && empty($categories_data['video_source_id_' . ($i)])) {
          if (isset($categories_data['embedded_video_id_' . ($i)]) && !empty($categories_data['embedded_video_id_' . ($i)])) {
            xtc_db_query("DELETE FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE categories_id = " . $categories_id . " AND embedded_video_id = " . $categories_data['embedded_video_id_' . ($i)] . " AND video_nr = " . $categories_data['video_nr_' . ($i)]);
          } else {
            xtc_db_query("DELETE FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE categories_id = " . $categories_id . " AND video_nr = " . $categories_data['video_nr_' . ($i)]);
          }
        } else {
          if (isset($categories_data['embedded_video_id_' . ($i)]) && !empty($categories_data['embedded_video_id_' . ($i)])) {
            xtc_db_perform(TABLE_MITS_EMBEDDED_VIDEOS, $sql_video_data_array, 'update', "categories_id = " . $categories_id . " and embedded_video_id = " . $categories_data['embedded_video_id_' . ($i)] . " AND video_nr = " . $categories_data['video_nr_' . ($i)]);
          } else {
            xtc_db_perform(TABLE_MITS_EMBEDDED_VIDEOS, $sql_video_data_array, 'update', "categories_id = " . $categories_id . " and video_nr = " . $categories_data['video_nr_' . ($i)]);
          }
        }
      } else {
        if (!empty($categories_data['video_url_' . ($i)]) || !empty($categories_data['video_source_id_' . ($i)])) {
          xtc_db_perform(TABLE_MITS_EMBEDDED_VIDEOS, $sql_video_data_array);
        }
      }

    }

  }


  function insert_product_after($products_data, $products_id) {

    defined('MODULE_MITS_EMBEDDED_VIDEOS_COUNT') or define('MODULE_MITS_EMBEDDED_VIDEOS_COUNT', 3);
    $countVideoFields = (int)MODULE_MITS_EMBEDDED_VIDEOS_COUNT + 1;

    for ($i = 1, $n = $countVideoFields; $i < $n; $i++) {

      $sql_video_data_array = array(
        'products_id'      => (int)$products_id,
        'categories_id'    => 0,
        'video_nr'         => xtc_db_prepare_input($products_data['video_nr_' . ($i)]),
        'video_source_id' => xtc_db_prepare_input($products_data['video_source_id_' . ($i)]),
        'video_source'     => xtc_db_prepare_input($products_data['video_source_' . ($i)]),
        'video_url'        => xtc_db_prepare_input($products_data['video_url_' . ($i)]),
        'video_position'   => xtc_db_prepare_input($products_data['video_position_' . ($i)]),
        'status'           => xtc_db_prepare_input($products_data['status_' . ($i)]),
        'sorting'          => xtc_db_prepare_input($products_data['sorting_' . ($i)]),
      );

      if (isset($products_data['embedded_video_id_' . ($i)]) && !empty($products_data['embedded_video_id_' . ($i)])) {
        $check_query = xtc_db_query("SELECT * FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE products_id = '" . $products_id . "' AND embedded_video_id = " . $products_data['embedded_video_id_' . ($i)] . " AND video_nr = " . $i);
      } else {
        $check_query = xtc_db_query("SELECT * FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE products_id = '" . $products_id . "' AND video_nr = " . $products_data['video_nr_' . ($i)]);
      }

      if (xtc_db_num_rows($check_query) > 0) {
        if (empty($products_data['video_url_' . ($i)]) && empty($products_data['video_source_id_' . ($i)])) {
          if (isset($products_data['embedded_video_id_' . ($i)]) && !empty($products_data['embedded_video_id_' . ($i)])) {
            xtc_db_query("DELETE FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE products_id = " . $products_id . " AND embedded_video_id = " . $products_data['embedded_video_id_' . ($i)] . " AND video_nr = " . $products_data['video_nr_' . ($i)]);
          } else {
            xtc_db_query("DELETE FROM " . TABLE_MITS_EMBEDDED_VIDEOS . " WHERE products_id = " . $products_id . " AND video_nr = " . $products_data['video_nr_' . ($i)]);
          }
        } else {
          if (isset($products_data['embedded_video_id_' . ($i)]) && !empty($products_data['embedded_video_id_' . ($i)])) {
            xtc_db_perform(TABLE_MITS_EMBEDDED_VIDEOS, $sql_video_data_array, 'update', "products_id = " . $products_id . " and embedded_video_id = " . $products_data['embedded_video_id_' . ($i)] . " AND video_nr = " . $products_data['video_nr_' . ($i)]);
          } else {
            xtc_db_perform(TABLE_MITS_EMBEDDED_VIDEOS, $sql_video_data_array, 'update', "products_id = " . $products_id . " and video_nr = " . $products_data['video_nr_' . ($i)]);
          }
        }
      } else {
        if (!empty($products_data['video_url_' . ($i)]) || !empty($products_data['video_source_id_' . ($i)])) {
          xtc_db_perform(TABLE_MITS_EMBEDDED_VIDEOS, $sql_video_data_array);
        }
      }

    }

  }

}